
#ifndef _externs_h
#define _externs_h

#undef NeedFunctionPrototypes

extern void create_gui();
static void initialize_light_table();
extern void initialize_depth_cue_table();
extern void initialize_view();
extern void build_sphere();
extern void finalQuit();

extern void printColor();

extern void editColor(
#if NeedFunctionPrototypes
    Widget    widget;
    caddr_t   parameter;
    XtPointer cbs;
#endif
);

extern void quit(
#if NeedFunctionPrototypes
    Widget            w;
    caddr_t            client_data;
    XtPointer        *call_data;
#endif
);


extern void expose(
#if NeedFunctionPrototypes
    Widget    w;
    XtPointer    client_data;
    XEvent    *event;
#endif
);

extern void set_lights(
#if NeedFunctionPrototypes
    Widget    widget;
    int        choice;
#endif
);

extern void set_shading(
#if NeedFunctionPrototypes
    Widget    widget;
    int        choice;
#endif
);

extern void set_reflectance(
#if NeedFunctionPrototypes
    Widget    widget;
    int        choice;
#endif
);

extern void set_depth_cue(
#if NeedFunctionPrototypes
    Widget    widget;
    int        choice;
#endif
);

extern void set_hlhsr(
#if NeedFunctionPrototypes
    Widget    widget;
    int        choice;
#endif
);

extern void set_dir_pnt(
#if NeedFunctionPrototypes
    Widget            widget;
    caddr_t            parameter;
    XtPointer    *cbs;
#endif
);

extern void set_light_source(
#if NeedFunctionPrototypes
    Widget            widget;
    caddr_t            parameter;
    XtPointer    *cbs;
#endif
);

extern void select_cur_light(
#if NeedFunctionPrototypes
    Widget    widget;
    int        choice;
#endif
);

extern void handle_input(
#if NeedFunctionPrototypes
    Widget    w;
    caddr_t    client_data;
    XEvent    *event;
#endif
);

extern void redraw(
#if NeedFunctionPrototypes
#endif
);

#endif /* _externs_h */
